// This file is released under the 3-clause BSD license. See COPYING-BSD.


function [x, y, typ] = PREDICTIVE_STUB(job, arg1, arg2)
  x = [];
  y = [];
  typ = [];
  select job
   case 'plot' then
    standard_draw(arg1)
   case 'getinputs' then
    [x, y, typ] = standard_inputs(arg1)
   case 'getoutputs' then
    [x, y, typ] = standard_outputs(arg1)
   case 'getorigin' then
    [x, y] = standard_origin(arg1)
   case 'set' then
    x = arg1;
   case 'define' then
    model = scicos_model()
    model.sim = list('predictive_stub_sim', 4)
    
    model.in = []
    
    model.out = []
    
    model.blocktype = 'd'
    model.evtin = []
    model.dep_ut = [%f %f]

    exprs = string([]);

    x = standard_define([3 3], model, exprs, [])
  end
endfunction

